Bug 193805 - [maintainer] Update sysutils/zsd to 2014-09-09-c2d3662
Summary: [maintainer] Update sysutils/zsd to 2014-09-09-c2d3662
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Rodrigo Osorio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-21 10:30 UTC by Fabian Keil
Modified: 2014-10-14 11:41 UTC (History)
1 user (show)

See Also:


Attachments
Patch to update sysutils/zsd to 2014-09-09-c2d3662 (1.26 KB, patch)
2014-09-21 10:30 UTC, Fabian Keil
fk: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Keil 2014-09-21 10:30:27 UTC
Created attachment 147520 [details]
Patch to update sysutils/zsd to 2014-09-09-c2d3662

Upstream changes:

- New option: --not-really
- Option -d is understood to mean --destroy
- No longer fails to gather available snapshots on datasets containing spaces
- Slightly improved documentation

Redports build logs are available at:
https://redports.org/buildarchive/20140919110636-77563/
Comment 1 John Marino freebsd_committer 2014-10-10 09:38:06 UTC
Looks ok; moving to patch-ready pool
Comment 2 commit-hook freebsd_committer 2014-10-12 22:19:01 UTC
A commit references this bug:

Author: rodrigo
Date: Sun Oct 12 22:18:28 UTC 2014
New revision: 370747
URL: https://svnweb.freebsd.org/changeset/ports/370747

Log:
  Update sysutils/zsd to 2014-09-09-c2d3662

  PR:		ports/193805
  Submitted by:	fk@fabiankeil.de (mantainer)
  Approved by:	mentors (implicit)

Changes:
  head/sysutils/zsd/Makefile
  head/sysutils/zsd/distinfo
Comment 3 Rodrigo Osorio freebsd_committer 2014-10-12 22:19:36 UTC
commited with minor changes, thanks.
Comment 4 Fabian Keil 2014-10-14 11:41:11 UTC
Thanks for committing this, Rodrigo, but please remove the "LICENSE" line again.

I prefer not to use the LICENSE goo in my ports until it's either properly documented or declared non-optional. For details see the discussion in:
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=187926

Please also note that zsd doesn't actually use the 'BSD 2-clause "Simplified" License' so the change also seems technically incorrect to me.